<template>
  <the-header></the-header>
  <router-view/>
</template>

<script setup>
import TheHeader from "@/components/layout/TheHeader.vue";
import { useStore } from "vuex";
import { watch, computed } from "vue";
import { useRouter } from "vue-router";

const store = useStore();
const router = useRouter();

const didAutoLogout = computed(function() {
  return store.getters.didAutoLogout;
})

store.dispatch("tryLogin");

watch(didAutoLogout,() => {
  router.replace("/auth");
})
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  box-sizing: border-box;
}

body {
  margin: 0;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

h1 {
  font-size: 1.5rem;
}
h2 {
  font-size: 1rem;
}


.formStyling {
  .form-control {
    margin: 1.5rem 0;
  }

  label {
    font-weight: bold;
    display: block;
  //margin-bottom: 0.2rem;
  }

  .invalid label {
    color: red;
  }

  input[type="checkbox"] + label {
    font-weight: normal;
    display: inline;
    margin: 0 0 0 0.2rem;
  }

  input[type="checkbox"] {
    display: inline;
    width: auto;
    border: none;
  }

  input[type="checkbox"]:focus {
    outline: #3d008d solid 1px;
  }

  input,
  textarea {
    display: block;
    width: 100%;
    border: 1px solid #ccc;
    font: inherit;
  }

  input:focus,
  textarea:focus {
    background-color: #f0e6fd;
    outline: none;
    border-color: #3d008d;
  }

  .invalid input,
  .invalid textarea {
    border: 1px solid red;
  }

  .button {
    margin: 1rem 0 0 0;
    text-align: center;
  }

  p {
    margin-top: 0.5rem;
  }
}


</style>
